List of all members
clan::ShaderObjectProvider Class Referenceabstract
clanDisplay Display

Shader Object provider. More...

`#include <shader_object_provider.h>`

## Public Member Functions
Construction
virtual | ~ShaderObjectProvider ()
virtual void | create (ShaderType type, const std::string &source)=0
| Creates a shader object. More...
virtual void | create (ShaderType type, const void *source, int source_size)=0
| Creates a shader object. More...
virtual void | create (ShaderType type, const std::vector< std::string > &sources)=0
| Create. More...
Attributes
virtual unsigned int | get_handle () const =0
| Returns the OpenGL shader handle. More...
virtual bool | get_compile_status () const =0
| Returns true if compile succeeded. More...
virtual ShaderType | get_shader_type () const =0
| Gets the shader type. More...
virtual std::string | get_info_log () const =0
| Get shader object's info log. More...
virtual std::string | get_shader_source () const =0
| Get shader source code. More...
Operations
virtual void | compile ()=0
| Compile program. More...

## Detailed Description

Shader Object provider.

The documentation for this class was generated from the following file:

- shader_object_provider.h